<?php

namespace DTInternet\DtiOnlineconsulting\Utility;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2022 Stefan Bublies <bublies@dt-internet.de>
 *
 *  All rights reserved
 *
 ***************************************************************/

use TYPO3\CMS\Core\Database\ConnectionPool;
use TYPO3\CMS\Core\Utility\GeneralUtility;


class RelationUtility
{
    public static function setRelation($tUid, $aUid)
    {

        $connectionPool = GeneralUtility::makeInstance(ConnectionPool::class);
        $queryBuilder = $connectionPool->getQueryBuilderForTable('tx_dtionlineconsulting_domain_model_topicanswers_mm');
        $addData = $queryBuilder
            ->insert('tx_dtionlineconsulting_domain_model_topicanswers_mm')
            ->values([
                'uid_local' => $tUid,
                'uid_foreign' => $aUid,
            ])
            ->execute();
        return true;
    }
}
