<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_videoconsulting',
        'label' => 'preferreddate',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'versioningWS' => true,
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'enablecolumns' => [
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ],
        'searchFields' => 'title',
        'iconfile' => 'EXT:dti_onlineconsulting/Resources/Public/Icons/tx_dtionlineconsulting_domain_model_videoconsulting.png'
    ],
    'interface' => [
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, videoid, preferreddate, password, feuser, agent, timestampduration, maxuser, information, videostarttime, confirmed',
    ],
    'types' => [
        '1' => ['showitem' => '--div--; Allgemein,sys_language_uid, l10n_parent, l10n_diffsource, hidden, videoid, preferreddate, password,  feuser, agent, timestampduration, maxuser, information, videostarttime, confirmed, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, starttime, endtime'],
    ],
    'columns' => [
        'sys_language_uid' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.language',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'special' => 'languages',
                'items' => [
                    [
                        'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.allLanguages',
                        -1,
                        'flags-multiple'
                    ]
                ],
                'default' => 0,
            ],
        ],
        'l10n_parent' => [
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.l18n_parent',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'default' => 0,
                'items' => [
                    ['', 0],
                ],
                'foreign_table' => 'tx_dtionlineconsulting_domain_model_videoconsulting',
                'foreign_table_where' => 'AND {#tx_dtionlineconsulting_domain_model_videoconsulting}.{#pid}=###CURRENT_PID### AND {#tx_dtionlineconsulting_domain_model_videoconsulting}.{#sys_language_uid} IN (-1,0)',
            ],
        ],
        'l10n_diffsource' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
        't3ver_label' => [
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.versionLabel',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            ],
        ],
        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                        'invertStateDisplay' => true
                    ]
                ],
            ],
        ],
        'starttime' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.starttime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ],
        'endtime' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.endtime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'range' => [
                    'upper' => mktime(0, 0, 0, 1, 1, 2038)
                ],
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ],
        'videoid' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_videoconsulting.videoid',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'readOnly' => 1
            ],
        ],
        'preferreddate' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_videoconsulting.preferreddate',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'range' => [
                    'upper' => mktime(0, 0, 0, 1, 1, 2038)
                ],
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ],
                'readOnly' => 1
            ],
        ],
        'password' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_videoconsulting.password',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'readOnly' => 1
            ],
        ],
        'feuser' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topicanswers.feuser',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'fe_users',
                'minitems' => 0,
                'maxitems' => 1,
                'readOnly' => 1
            ],
        ],
        'agent' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topicanswers.agent',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'fe_users',
                'minitems' => 0,
                'maxitems' => 1,
                'readOnly' => 1
            ],
        ],
        'timestampduration' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_videoconsulting.timestampduration',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'readOnly' => 1
            ],
        ],
        'maxuser' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_videoconsulting.maxuser',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'readOnly' => 1
            ],
        ],
        'information' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_videoconsulting.information',
            'config' => [
                'type' => 'input',
                'eval' => 'trim',
                'readOnly' => 1
            ],
        ],
        'videostarttime' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.starttime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ],
                'readOnly' => 1
            ],
        ],
        'confirmed' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_videoconsulting.confirmed',
            'config' => [
                'type' => 'input',
                'eval' => 'trim',
                'readOnly' => 1
            ],
        ],
        'crdate' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
    ],
];
